fnmatch.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | __const
#define | FNM_PATHNAME (1 << 0) /* No wildcard can ever match `/'. */
#define | FNM_NOESCAPE (1 << 1) /* Backslashes don't quote special chars. */
#define | FNM_PERIOD (1 << 2) /* Leading `.' is matched only explicitly. */
#define | FNM_FILE_NAME FNM_PATHNAME /* Preferred GNU name. */
#define | FNM_LEADING_DIR (1 << 3) /* Ignore `/...' after a match. */
#define | FNM_CASEFOLD (1 << 4) /* Compare without regard to case. */
#define | FNM_EXTMATCH (1 << 5) /* Use ksh-like extended matching. */
#define | FNM_NOMATCH 1

## Functions

int | fnmatch (char *__pattern, char *__name, int __flags)

## Macro Definition Documentation

#define __const

Definition at line 30 of file fnmatch.h.

#define FNM_CASEFOLD (1 << 4) /* Compare without regard to case. */

Definition at line 48 of file fnmatch.h.

Referenced by glob_in_dir(), and mireSetGOptions().

#define FNM_EXTMATCH (1 << 5) /* Use ksh-like extended matching. */

Definition at line 49 of file fnmatch.h.

Referenced by initGlobs().

#define FNM_FILE_NAME FNM_PATHNAME /* Preferred GNU name. */

Definition at line 46 of file fnmatch.h.

#define FNM_LEADING_DIR (1 << 3) /* Ignore `/...' after a match. */

Definition at line 47 of file fnmatch.h.

#define FNM_NOESCAPE (1 << 1) /* Backslashes don't quote special chars. */

Definition at line 42 of file fnmatch.h.

Referenced by glob_in_dir().

#define FNM_NOMATCH 1

Definition at line 53 of file fnmatch.h.

Referenced by mireRegexec().

#define FNM_PATHNAME (1 << 0) /* No wildcard can ever match `/'. */

Definition at line 41 of file fnmatch.h.

Referenced by initGlobs(), and mtreeVWalk().

#define FNM_PERIOD (1 << 2) /* Leading `.' is matched only explicitly. */

Definition at line 43 of file fnmatch.h.

Referenced by fnmatch(), glob_in_dir(), and initGlobs().

## Function Documentation

int fnmatch | ( | char * | __pattern,
|  | char * | __name,
|  | int | __flags
| ) |  |